From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/amanda/
Date: Mon, 13 Nov 2017 20:45:15 +0000 (UTC) [thread overview]
Message-ID: <1510605900.95ee4b091e3c6e5e1db342a57b6fdee53b095e8c.robbat2@gentoo> (raw)
commit: 95ee4b091e3c6e5e1db342a57b6fdee53b095e8c
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 13 20:32:41 2017 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Mon Nov 13 20:45:00 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95ee4b09
app-backup/amanda: fix ownership of /etc/amanda/amanda-security.conf
Fixes: https://bugs.gentoo.org/637332
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
app-backup/amanda/amanda-3.5-r1.ebuild | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/app-backup/amanda/amanda-3.5-r1.ebuild b/app-backup/amanda/amanda-3.5-r1.ebuild
index 673a7b70dae..bbc32ece405 100644
--- a/app-backup/amanda/amanda-3.5-r1.ebuild
+++ b/app-backup/amanda/amanda-3.5-r1.ebuild
@@ -481,4 +481,13 @@ amanda_permissions_fix() {
chown root:${AMANDA_GROUP_NAME} "${root}"/${i} || die
chmod u=srwx,g=rx,o= "${root}"/${i} || die
done
+
+ # amanda-security.conf is a config file with similar requirements:
+ # writable only by root
+ # world-readable
+ # 3.3.9: introduced in /etc/amanda-security.conf
+ # 3.4.2: moved to /etc/amanda/amanda-security.conf
+ f=/etc/amanda/amanda-security.conf
+ chown root:root "${root}""${f}" || die
+ chmod u=rw,go=r "${root}""${f}" || die
}
next reply other threads:[~2017-11-13 20:45 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-13 20:45 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-21 13:53 [gentoo-commits] repo/gentoo:master commit in: app-backup/amanda/ Joonas Niilola
2022-05-15 1:00 Sam James
2021-01-24 13:33 Sam James
2021-01-21 7:40 Agostino Sarubbo
2021-01-20 9:30 Sam James
2021-01-20 9:29 Sam James
2020-12-30 10:26 David Seifert
2020-01-01 0:06 Erik Mackdanz
2017-12-14 22:05 Robin H. Johnson
2017-12-06 3:40 Robin H. Johnson
2017-11-13 20:59 Robin H. Johnson
2017-11-13 20:45 Robin H. Johnson
2017-11-13 20:45 Robin H. Johnson
2017-11-07 6:16 Robin H. Johnson
2017-10-04 9:42 Patrice Clement
2017-07-01 18:59 Robin H. Johnson
2017-06-10 7:15 Robin H. Johnson
2017-05-04 17:21 Robin H. Johnson
2017-03-02 20:36 Robin H. Johnson
2017-02-02 20:01 Robin H. Johnson
2017-01-03 10:38 Agostino Sarubbo
2016-09-27 7:09 Agostino Sarubbo
2016-04-06 4:39 Ian Delaney
2016-04-01 8:52 Ian Delaney
2016-04-01 6:25 Ian Delaney
2015-09-20 7:30 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1510605900.95ee4b091e3c6e5e1db342a57b6fdee53b095e8c.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox